Plack::Middleware::SimpleContentFilter(3pm)

NAME
Plack::Middleware::SimpleContentFilter - Filters response content

SYNOPSIS
  use Plack::Builder;

  my $app = sub {
      return [ 200, [ 'Content-Type' => 'text/plain' ], [ 'Hello Foo' ] ];
  };

  builder {
      enable "Plack::Middleware::SimpleContentFilter",
          filter => sub { s/Foo/Bar/g; };
      $app;
  };

DESCRIPTION
This middleware should be considered as a demo. Running this against your application might break your HTML unless you code the filter callback carefully.

Plack::Middleware::SimpleContentFilter is a simple content text filter to run against response body. This middleware is only enabled against responses with "text/*" Content-Type.

AUTHOR
Tatsuhiko Miyagawa